<?php 
	
	/*
		Plugin Name: Blunt GA
		Plugin URI: 
		Description: Installs Google Analytics. Allows for event tracking of document, email and outbound links as well as event tracking of form submissions and form and other conversion pages. Includes ability and settings to enable cross site tracking and linking.
		Version: 1.0.0
		Author: John A. Huebner II, hube02@earthlink.net
		Author URI: 
		License: GPL v3 or later
		
		Blunt GA Plugin
		Copyright (C) 2012, John A. Huebner II, hube02@earthlink.net
		
		This program is free software: you can redistribute it and/or modify
		it under the terms of the GNU General Public License as published by
		the Free Software Foundation, either version 3 of the License, or
		(at your option) any later version.
		
		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.
		
		You should have received a copy of the GNU General Public License
		along with this program.  If not, see <http://www.gnu.org/licenses/>.
	*/
	
	$path = dirname(str_replace('\\', '/', str_replace('\\\\', '/', __FILE__)));
	require_once($path.'/blunt.ga.class.php');
	$bluntGA = new bluntGA();
	
	register_activation_hook(__FILE__, array($bluntGA, 'activate'));
	add_action('init', array($bluntGA, 'init'), 1);
	// removed the following, form is processed just before it is shown
	//add_action('admin_init', array($bluntGA, 'processSettingsForm'), 1);
	add_action('wp_head', array($bluntGA, 'outputScripts'));
	add_action('admin_menu', array($bluntGA, 'adminMenu'));
 
?>